LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::ucb::RuleOperator Constant Group Referencepublished

These are the possible values for RuleTerm::RuleOperator. More...

## Variables
const short | CONTAINS = 1
| "Contains" - Object contains RuleTerm::Operand. More...
const short | CONTAINSNOT = 2
| "ContainsNot" - Object does not contain RuleTerm::Operand. More...
const short | GREATEREQUAL = 3
| "GreaterEqual" - Object is greater than or equal to RuleTerm::Operand. More...
const short | LESSEQUAL = 4
| "LessEqual" - Object is less than or equal to RuleTerm::Operand. More...
const short | EQUAL = 5
| "Equal" - Object is equal to RuleTerm::Operand. More...
const short | NOTEQUAL = 6
| "NotEqual" - Object is not equal to RuleTerm::Operand. More...
const short | VALUE_TRUE = 7
| "True" - Object has the value `TRUE`. More...
const short | VALUE_FALSE = 8
| "False" - Object has the value `FALSE`. More...

## Detailed Description

These are the possible values for RuleTerm::RuleOperator.

See also
  RuleSet
  Rule

## Variable Documentation

## ◆ CONTAINS

const short CONTAINS = 1

"Contains" - Object contains RuleTerm::Operand.

## ◆ CONTAINSNOT

const short CONTAINSNOT = 2

"ContainsNot" - Object does not contain RuleTerm::Operand.

## ◆ EQUAL

const short EQUAL = 5

"Equal" - Object is equal to RuleTerm::Operand.

## ◆ GREATEREQUAL

const short GREATEREQUAL = 3

"GreaterEqual" - Object is greater than or equal to RuleTerm::Operand.

## ◆ LESSEQUAL

const short LESSEQUAL = 4

"LessEqual" - Object is less than or equal to RuleTerm::Operand.

## ◆ NOTEQUAL

const short NOTEQUAL = 6

"NotEqual" - Object is not equal to RuleTerm::Operand.

## ◆ VALUE_FALSE

const short VALUE_FALSE = 8

"False" - Object has the value `FALSE`.

## ◆ VALUE_TRUE

const short VALUE_TRUE = 7

"True" - Object has the value `TRUE`.